version: '3.5'

services:
### SVC:inwise:>>> Don't delete
  inwise:
    hostname: inwise
    image:  registry.edoc2.com:5000/edoc2v6/inwise:edrms-v6.1.0.0 
    ports:
      - "8089:8088"
      - "8022:22"
      - "5432:5432"
      - "8684:8684"
      - "8784:8784"
      - "7474:7474"
      - "7687:7687"
    environment:
      - INWISE_URL=http://inwise:8088
      - EDOC2_URL=http://edoc2
      - EDOC2_USER=admin
      - EDOC2_PASSWORD=edoc2edoc2
      - DEBUG=true
      - INWISE_MEMORY=-Xmx3g -Xms3g
    volumes:
      - /home/edoc2/macrowing/edoc2v5/data/inwise:/data
    networks:
      - edoc2
    cap_add:
      - SYS_PTRACE
    deploy:
      placement:
        constraints:
          - node.labels.nodetype == InDrive
      replicas: 1
      restart_policy:
        condition: on-failure
    logging:
      driver: "json-file"
      options:
        max-size: "2000k"
        max-file: "10"
### SVC:inwise:<<< Don't delete

networks:
  edoc2:
    external: true
    name: macrowing
